<?php

// Connect through OAuth
require('tmhOAuth.php');
$connection = new tmhOAuth(array(
	'consumer_key'    => '********',
	'consumer_secret' => '********',
	'user_token'      => '********',
	'user_secret'     => '********'
));
	
// Loop through search results and accumulate count
$query = '********';
$max_id = 0;
$oldest_tweet = '';
$tweets_found = 0;
while (true) {

	// First API call
	if ($max_id == 0) {
 		$connection->request('GET', $connection->url('1.1/search/tweets'), 
	    array('q' => $query,
	      'result_type' => 'recent',
	      'count' => 100));
				
	// Repeated API call
	} else {
		// Collect older tweets
		--$max_id;
		
 		$connection->request('GET', $connection->url('1.1/search/tweets'), 
			array('q' => $query,
	      'result_type' => 'recent',
	      'count' => 100,
				'max_id' => $max_id));
	}			

	// Exit on error
  if ($connection->response['code'] != 200) {
  	  print "Exited with error: " . $connection->response['code'] . "\n";
    	break;			
	} 

	// Process each tweet returned
	$results = json_decode($connection->response['response']);
	$tweets = $results->statuses;

	// Exit when no more tweets returned
  if (sizeof($tweets)==0) {
       	break;
  }
  foreach($tweets as $tweet) {
		++$tweets_found;
		$max_id = $tweet->id;
		$oldest_tweet = $tweet->created_at;
	} 
}

print "Tweets found: $tweets_found Oldest tweet: $oldest_tweet";

?>